# Scales

class leather.Scale

  Base class for various kinds of scale objects.

class leather.Linear(domain_min, domain_max)

  A scale that linearly maps values from a domain to a range.

  Parameters

    - domain_min – The minimum value of the input domain.

    - domain_max – The maximum value of the input domain.

class leather.Ordinal(domain)

  A scale that maps individual values (e.g. strings) to a range.

class leather.Temporal(domain_min, domain_max)

  A scale that linearly maps date/datetime values from a domain to a range.

  Parameters

    - domain_min – The minimum date/datetime of the input domain.

    - domain_max – The maximum date/datetime of the input domain.